MS09-060: Vulnerabilities in Microsoft Active Template Library (ATL) ActiveX Controls for Microsoft Office Could Allow Remote Code Execution (973965)

high Nessus Plugin ID 42116
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

Arbitrary code can be executed on the remote host through Microsoft Office ActiveX controls.

Description

One or more ActiveX controls included in Microsoft Outlook or Visio and installed on the remote Windows host was compiled with a version of Microsoft Active Template Library (ATL) that is affected by potentially several vulnerabilities :

- An issue in the ATL headers could allow an attacker to force VariantClear to be called on a VARIANT that has not been correctly initialized and, by supplying a corrupt stream, to execute arbitrary code.
(CVE-2009-0901)

- Unsafe usage of 'OleLoadFromStream' could allow instantiation of arbitrary objects which can bypass related security policy, such as kill bits within Internet Explorer. (CVE-2009-2493)

- An attacker who is able to run a malicious component or control built using Visual Studio ATL can, by manipulating a string with no terminating NULL byte, read extra data beyond the end of the string and thus disclose information in memory. (CVE-2009-2495)

Solution

Microsoft has released a set of patches for Microsoft Outlook 2002, 2003, and 2007 as well as Visio Viewer 2007.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2009/ms09-060

Plugin Details

Severity: High

ID: 42116

File Name: smb_nt_ms09-060.nasl

Version: 1.30

Type: local

Agent: windows

Published: 10/14/2009

Updated: 11/15/2018

Dependencies: smb_hotfixes.nasl, ms_bulletin_checks_possible.nasl

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 6.9

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Ease: No known exploits are available

Patch Publication Date: 10/13/2009

Vulnerability Publication Date: 7/28/2009

Reference Information

CVE: CVE-2009-0901, CVE-2009-2493, CVE-2009-2495

BID: 35828, 35830, 35832

MSFT: MS09-060

MSKB: 972363, 973709

CERT: 456745

CWE: 94, 200, 264